@import "~sass/media";
@import '~sass/variables';
.register-bg {
    background-color: $teritary;
    padding: 2vh;
    width: 80%;
    height: 100%;
    margin: 20px auto;
    border-radius: 0.5vh;
    //border: 1px solid #d0cfcf;
    font-size: 13px;
    //-webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    //box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    //-webkit-transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
    //transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
}
@include for-size(desktop-up) {
    .register-bg{
    margin: 20vh auto 5vh;
    }
}

.register-bg .mat-form-field {
    display: block;
    font-size: 1rem;
    line-height: 1.5;
}
::ng-deep .register-bg .mat-raised-button{
    font-size:15px;
}
.register-bg button.mat-primary {
    margin-top: 1vh;
    margin-bottom: 3vh;
    height: 100%;
}

.register-right {
    width: 70%;
    display: inline-block;
    text-align: center;
}

.fa-icon {
    padding-right: 1vw;
    font-size: 1.4rem;
}

.btn-facebook {
    background-color: #3a67c4;
    color: white;
    width: 100%;
    line-height: 2.5;
}

.btn-google {
    background-color: #f62b00;
    color: white;
    width: 100%;
    line-height: 2.5;
}

.agree-txt {
    margin-top: 2vh;
    color: #8d8e8d;
    font-size: 13px;
    display: flex;
    align-items: center;
    .ag-txt {
        display: flex;
    }
    .terms-txt {
        padding-top: 2px;
        padding-left: 5px;
        cursor: pointer;
        color: $link;
    }
    .terms-txt:hover {
    text-decoration: underline;
    }
}

.signup-txt {
    font-size: 0.95rem;
    color: $font-silver;
}

.divider-cont {
    position: relative;
    .divider {
        position: absolute;
        left: 16px;
        float: left;
    }
}
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .divider-cont {
      .divider {
      top :3%;
      }
    }
  }
.register-bg .divider {
    border-left: 1px solid #dadada;
    height: 97%;
    display: inline-block;

}

.register-bg .divider-txt {
    position: absolute;
    background-color: #fff;
    top: 47%;
    left: -10px;
    z-index: 1;
    padding: 7px 0;
}

.register-bg a {
    cursor: pointer;
    color: $link !important;
}

.password-hint {
    background-color: #fff;
    padding: 10px;
    z-index: 9;
    position: absolute;
    width: 50%;
    left: 50%;
    top: 0;
    border: 2px solid $primary-color;
    display: inline-grid;
    font-size: 15px;
    line-height: 2;

}

.password-hint::before {
    bottom: 100%;
    left: 0%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0px;
    position: absolute;
    pointer-events: none;
    border-bottom-color: $primary-color;
    border-width: 8px;
    margin-left: -16px;
    transform: rotate(-90deg);
    top: 15px;
}
.mat-form-field-appearance-outline .mat-form-field-outline-thick {
  color: #bbbaba;
}
.mat-form-field-appearance-outline .mat-form-field-outline{
  color: #bbbaba;
}
::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background {
    background-color: $primary-color !important;
}

@include for-size(phone-only) {
    .register-right {
        width: 100%;
    }
    .password-hint {
        left: 50%;
        font-size: 10px;
        width: 55%;
    }
    .register-bg {
        width: 100%;
    }
    .register-bg .divider {
        display: none;
    }
}
@include for-size(tablet-portrait-up){
    .password-hint {
        left: 50%;
        font-size: 13px;
        line-height: 2;
        width: 70%;
    }
    .register-bg {
        width: 94%;
    }
}
@include for-size(tablet-landscape-up){
    .password-hint {
        left: 50%;
        font-size: 13px;
        line-height: 2;
        width: 70%;
    }
    .register-bg {
        width: 94%;
    }
}
@include for-size(desktop-up) {
    .password-hint {
      width: 50%;
  }
//   .register-bg .divider {
//     height: 71vh;
//     }
}
@include for-size(big-desktop-up) {
    .password-hint {
        width: 50%;
    }
}
@media (min-width: 600px) and (max-width: 767px) {
    .divider{
        display:none !important;
    }
}
.otp-txt {   
    cursor: pointer;
    color: #03A9F4;
    font-size: 15px;
}
.country-hide {
    display: none;
}